Can't install J3.0.3, but 3.9.6 works Topic is solved

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
birdofprey
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Mon Jun 10, 2019 1:02 pm

Can't install J3.0.3, but 3.9.6 works

Post by birdofprey » Mon Jun 10, 2019 1:19 pm

Hello folks,

I'm having trouble getting J3.0.3 installed on a test machine. Strangely though, J3.9.6 works perfectly.

I'm running a VM (Linux Mint 19, MariaDB10, PHP7.2, Apache2), and on this machine J3.9.6 can be installed easily. So the requirements are met, and the system works okay.

When I use the same VM, and try to install J3.0.3, then I can't get past the first screen in the installation wizard. I'm using the same information as with 3.9.6, but it always clears the form and throws errors:
--- snip
Field required: Site Name
Field required: Admin Email
Field required: Admin Username
--- snip

I've already set
session.cookie_secure = True
in php.ini (suggestion in other thread here), but that doesn't seem to work. I've checked access rights but there doesn't seem to be an issue. Also no errors in logs.

The reason why I need this 3.0.3 is that I have an existing db backup of a legacy installation that I need to move to a new machine running 3.9.6, but I don't know how to migrate without this old running version. I assume that the db schemas are a bit different between 3.0.3 and 3.9.6, and can't find a manual way to migrate the db.

Any ideas? Or is there a documentation of the various version's db schemas out there somewhere?

Regards,
Ralf

birdofprey
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Mon Jun 10, 2019 1:02 pm

Re: Can't install J3.0.3, but 3.9.6 works

Post by birdofprey » Mon Jun 10, 2019 1:45 pm

Hello,
birdofprey wrote:
Mon Jun 10, 2019 1:19 pm
I've already set
session.cookie_secure = True
that's not correct, I set it to False, but either way it doesn't help.

I have manually set up two database schemas and imported the backup into one of them. There are indeed new tables in the 3.9.6 version compared to the 3.0.3. There might also be differences in the tables that are common to both versions, that is quite cumbersome to compare manually.

Regards,
Ralf

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 26044
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: Can't install J3.0.3, but 3.9.6 works

Post by Per Yngve Berg » Mon Jun 10, 2019 1:46 pm

3.0.3 does not run on php 7. Downgrade to php 5.6

birdofprey
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Mon Jun 10, 2019 1:02 pm

Re: Can't install J3.0.3, but 3.9.6 works

Post by birdofprey » Mon Jun 10, 2019 6:29 pm

Hi,

thanks, that was it. The requirements for Joomla 3.x indicate PHP 7.1+ as a recommendation, so I thought I'm safe when I'm on 7.2. But there's a little footnote (!) on the requirements that says
"PHP 5.3.1 is required for versions 3.0 through 3.2. At 3.3, the minimum is raised to PHP 5.3.10. Joomla! versions 3.5 and later are compatible with PHP 7."

If you read this the other way round you can come to the conclusion that versions prior to 3.5 are NOT compatible with PHP7 ...

Anyway, thanks for pointing that out! Maybe someone could make this requirement page a bit clearer, so that in the future stupid guys like me won't fall into the same trap ;-) But probably nobody else but me would want to install this old stuff.

Thanks again,
Ralf

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4961
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Can't install J3.0.3, but 3.9.6 works

Post by AMurray » Tue Jun 18, 2019 8:53 am

If you read the footnotes concerning Technical Requirements, it does state PHP 7 applies to version 3.5 and newer...... Refer Footnote [1] on https://downloads.joomla.org/technical- ... note-3xPHP
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.


Post Reply

Return to “Installation Joomla! 3.x”